Bug 1308524 - python-zope-filerepresentation: Provide a Python 3 subpackage
Summary: python-zope-filerepresentation: Provide a Python 3 subpackage
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-zope-filerepresentation
Version: 24
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miro Hrončok
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: PYTHON3 PY3PATCH-PUSH
TreeView+ depends on / blocked
 
Reported: 2016-02-15 13:01 UTC by Petr Viktorin
Modified: 2016-08-27 10:29 UTC (History)
5 users (show)

Fixed In Version: python-zope-filerepresentation-4.1.0-5.fc26 python-zope-filerepresentation-4.1.0-5.fc25
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-08-27 10:29:31 UTC


Attachments (Terms of Use)
Python 3 patch for python-zope-filerepresentation specfile (3.57 KB, patch)
2016-07-22 15:29 UTC, Petri Ylitalo
no flags Details | Diff
Patch for python 3 (4.03 KB, patch)
2016-07-23 09:56 UTC, Petri Ylitalo
no flags Details | Diff
Revised PY3 patch (3.56 KB, patch)
2016-07-28 07:45 UTC, Petri Ylitalo
no flags Details | Diff

Description Petr Viktorin 2016-02-15 13:01:34 UTC
Upstream, this software supports Python 3. Please provide a Python 3
package for Fedora.


According to the Python packaging guidelines [0], software must be
packaged for Python 3 if upstream supports it.
The guidelines give detailed information on how to do this, and even
provide an example spec file [1].

The current best practice is to provide subpackages for the two Python
versions (called "Common SRPM" in the guidelines). Alternatively, if
nothing depends on your Python2 package, you can just switch to Python 3
entirely.

It's fine to do this in Rawhide only.


If anything is unclear, or if you need any kind of assistance with the
porting, you can ask on IRC (#fedora-python on Freenode), or reply here.
We'll be happy to help!


[0] https://fedoraproject.org/wiki/Packaging:Python
[1] https://fedoraproject.org/wiki/Packaging:Python#Example_common_spec_file

Comment 1 Jan Kurik 2016-02-24 15:21:16 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase

Comment 2 Dominika Krejčí 2016-04-20 12:18:23 UTC
Hello Ralph,

Do you need any help adding Python 3 support to the RPM?

If you need more instructions, a [guide] for porting Python-based RPMs is available.

[guide] http://python-rpm-porting.readthedocs.org/en/latest/index.html

Comment 3 Ralph Bean 2016-04-20 15:48:57 UTC
Thanks Dominika,

I'm trying to get to them as I have time (there are a lot!)

Comment 4 Petri Ylitalo 2016-07-22 15:29:14 UTC
Created attachment 1182870 [details]
Python 3 patch for python-zope-filerepresentation specfile

Hi,

Ported the specfile following Python RPM Porting Guide instructions. Please, review and push it if everything is ok.

Thanks,
Petri

Comment 5 Petri Ylitalo 2016-07-23 09:56:49 UTC
Created attachment 1183064 [details]
Patch for python 3

Corrected %changelog entries

Comment 6 Lumír Balhar 2016-07-27 12:53:10 UTC
Hello Petri.

I've found some bugs in your patch:

- There are missing build requires for Py3:
-- python3-setuptools
-- python3-zope-interface
-- python3-zope-schema
- Same for Requires in Py3 subpackage:
-- python3-zope-interface
-- python3-zope-schema
- You can use %py2_build and %py3_build in %build section and %py2_install and %py3_install in %install section (just suggestion)
- It's better to use %license macro for license files in %files sections instead %doc

Also if it is possible for you, then please provide link to Koji scratch build of package with patched specfile.

Thank you and have a nice day.

Comment 7 Petri Ylitalo 2016-07-28 07:45:42 UTC
Created attachment 1184915 [details]
Revised PY3 patch

Hi,

Bugs fixed. Here is the link for Koji scratch build:

http://koji.fedoraproject.org/koji/taskinfo?taskID=15044892


Petri

Comment 8 Lumír Balhar 2016-07-30 18:24:02 UTC
Patch looks good for me. Thank you.

Comment 9 Miro Hrončok 2016-08-16 10:53:37 UTC
Rawhide: http://koji.fedoraproject.org/koji/taskinfo?taskID=15274191

Comment 10 Fedora Update System 2016-08-16 11:08:34 UTC
python-zope-filerepresentation-4.1.0-5.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-7276248f4a

Comment 11 Fedora Update System 2016-08-16 16:25:38 UTC
python-zope-filerepresentation-4.1.0-5.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-7276248f4a

Comment 12 Fedora Update System 2016-08-27 10:29:27 UTC
python-zope-filerepresentation-4.1.0-5.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.